components:
  schemas:
    Event_v1_1_1_Event:
      additionalProperties: false
      description: 'The Event schema describes the JSON payload received by an Event
        Destination (which has subscribed to event notification) when events occurs.  This
        resource contains data about event(s), including descriptions, severity and
        MessageId reference to a Message Registry that can be accessed for further
        information. '
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_context
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_type
        Context:
          description: A context can be supplied at subscription time.  This property
            is the context value supplied by the subscriber.
          readOnly: true
          type: string
          x-longDescription: This property shall contain a client supplied context
            for the Event Destination to which this event is being sent.
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
        Events:
          description: Each event in this array has a set of properties that describe
            the event.  Since this is an array, more than one event can be sent simultaneously.
          items:
            $ref: '#/components/schemas/Event_v1_1_1_EventRecord'
          type: array
          x-longDescription: The value of this resource shall be an array of Event
            objects used to represent the occurrence of one or more events.
        Events@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_count
        Events@odata.navigationLink:
          format: uri
          type: string
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
      required:
      - Id
      - Name
      - Events
      type: object
      x-longDescription: This resource shall be used to represent an event for a Redfish
        implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Event_v1_1_1_EventRecord:
      additionalProperties: false
      description: This is the base type for addressable members of an array.
      properties:
        Context:
          deprecated: true
          description: A context can be supplied at subscription time.  This property
            is the context value supplied by the subscriber.
          readOnly: true
          type: string
          x-deprecatedReason: Events are triggered independently from subscriptions
            to those events.  This property has been Deprecated in favor of Event.v1_0_2.Event.Context
          x-longDescription: This property shall contain a client supplied context
            for the Event Destination to which this event is being sent.
        EventId:
          description: This is a unique instance identifier of an event.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall indicate a unique identifier
            for the event, the format of which is implementation dependent.
        EventTimestamp:
          description: This is time the event occurred.
          format: date-time
          readOnly: true
          type: string
          x-longDescription: The value of this property shall indicate the time the
            event occurred where the value shall be consistent with the Redfish service
            time that is also used for the values of the Modified property.
        EventType:
          $ref: '#/components/schemas/Event_v1_1_1_EventType'
          description: This indicates the type of event sent, according to the definitions
            in the EventService.
          readOnly: true
          x-longDescription: The value of this property shall indicate the type of
            event as defined in the EventService schema.
        MemberId:
          description: This is the identifier for the member within the collection.
          type: string
          x-longDescription: The value of this string shall uniquely identify the
            member within the collection.
        Message:
          description: This is the human readable message, if provided.
          readOnly: true
          type: string
          x-longDescription: This property shall contain an optional human readable
            message.
        MessageArgs:
          description: This array of message arguments are substituted for the arguments
            in the message when looked up in the message registry.
          items:
            type: string
          readOnly: true
          type: array
          x-longDescription: This property has the same semantics as the MessageArgs
            property in the Event schema for Redfish.
        MessageId:
          description: This is the key for this message which can be used to look
            up the message in a message registry.
          pattern: ^[A-Za-z0-9]+\.\d+\.\d+\.[A-Za-z0-9.]+$
          readOnly: true
          type: string
          x-longDescription: This property shall be a key into message registry as
            described in the Redfish specification.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: This is the manufacturer/provider specific extension moniker
            used to divide the Oem object into sections.
          x-longDescription: The value of this string shall be of the format for the
            reserved word *Oem*.
        OriginOfCondition:
          $ref: http://redfish.dmtf.org/schemas/v1/odata.4.0.0.yaml#/components/schemas/odata_4_0_0_idRef
          description: This indicates the resource that originated the condition that
            caused the event to be generated.
          readOnly: true
          x-longDescription: The value of this property shall contain a pointer consistent
            with JSON pointer syntax to the resource that caused the event to be generated.
        Severity:
          description: This is the severity of the event.
          readOnly: true
          type: string
          x-longDescription: The value of this property shall be the severity of the
            event, as defined in the Status section of the Redfish specification.
      required:
      - EventType
      - MessageId
      type: object
      x-longDescription: Array members can be referenced using the value returned
        in the @odata.id property which may or may not be a dereferenceable URL. The
        @odata.id of this entity shall be the location of this element within an Item.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message|Privileges)\.[a-zA-Z_][a-zA-Z0-9_.]+$:
          description: This property shall specify a valid odata or Redfish property.
    Event_v1_1_1_EventType:
      enum:
      - StatusChange
      - ResourceUpdated
      - ResourceAdded
      - ResourceRemoved
      - Alert
      type: string
      x-enumDescriptions:
        Alert: A condition exists which requires attention
        ResourceAdded: A resource has been added
        ResourceRemoved: A resource has been removed
        ResourceUpdated: The value of this resource has been updated
        StatusChange: The status of this resource has changed
title: '#Event.v1_1_1.Event'
x-copyright: Copyright 2014-2016 Distributed Management Task Force, Inc. (DMTF). For
  the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
